package com.kamco.cd.training.postgres.repository.members;

import com.kamco.cd.training.members.dto.MembersDto;
import com.kamco.cd.training.postgres.entity.MemberEntity;
import java.util.Optional;
import java.util.UUID;
import org.springframework.data.domain.Page;

public interface MembersRepositoryCustom {
  // TODO 미사용시작
  boolean existsByUserId(String userId);

  // TODO 미사용 끝
  boolean existsByEmployeeNo(String employeeNo);

  Optional<MemberEntity> findByEmployeeNo(String employeeNo);

  // TODO 미사용시작
  Optional<MemberEntity> findByUserId(String userId);

  // TODO 미사용 끝
  Optional<MemberEntity> findByUUID(UUID uuid);

  Page<MemberEntity> findByMembers(MembersDto.SearchReq searchReq);
}
